Bug 1295536 - SAM manifest refresh from server does not use http proxy settings
SAM manifest refresh from server does not use http proxy settings
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Katello Bug Bin
Depends On:
  Show dependency treegraph
Reported: 2016-01-04 14:04 EST by Ash Westbrook
Modified: 2017-04-12 03:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-21 14:28:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Sosreport from SAM 1.4.3 server (6.95 MB, application/x-xz)
2016-01-04 14:04 EST, Ash Westbrook
no flags Details
SAM Katello-debug (82.50 KB, application/x-gzip)
2016-01-04 14:06 EST, Ash Westbrook
no flags Details

  None (edit)
Description Ash Westbrook 2016-01-04 14:04:45 EST
Created attachment 1111558 [details]
Sosreport from SAM 1.4.3 server

Description of problem:

SAM manifest refresh from server does not use http proxy settings as expected.

Version-Release number of selected component (if applicable):

SAM 1.4.3
RHEL 6.7 x86_64

How reproducible:


Steps to Reproduce:
1. Attempt manifest refresh from the SAM webui according to:

Actual results:

SAM server appears to use port 443 and goes directly to RHN rather than use the http set in various locations:

[root@SAM ~]# tcpdump -fnn -i eth0 not port 22 and not port 514 and not port 8649 and not port 123 and not arp and not rarp and not port 389 and not host and not host and not port 137 and not port 138 and not port 53 and not icmp and not port 88 and not host
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on eth0, link-type EN10MB (Ethernet), capture size 65535 bytes
16:27:06.967156 IP > Flags [S], seq 3659201829, win 14600, options [mss 1460,nop,nop,sackOK,nop,wscale 7], length 0
16:27:06.967315 IP > Flags [R.], seq 0, ack 3659201830, win 14600, length 0
2 packets captured
2 packets received by filter
0 packets dropped by kernel


# an http proxy server to use
proxy_hostname =  http://<PROXY.FQDN>
# port for http proxy server
proxy_port = 3128

cdn.proxy = true
cdn.proxy.host = http://<PROXY.FQDN>
cdn.proxy.port = 3128

# proxy_url
proxy_url = http://<PROXY.FQDN>

# proxy_port
proxy_port = 3128

Expected results:

SAM will route through the http por

Additional info:

See attached soreports and katello-debugs
Comment 1 Ash Westbrook 2016-01-04 14:06 EST
Created attachment 1111559 [details]
SAM Katello-debug
Comment 2 Guilherme Mesquita 2016-07-21 13:24:12 EDT
Same problem here. RHEL 6.5
Comment 3 Mike McCune 2016-07-21 14:28:30 EDT
We are closing this bug as a WONTFIX as there are currently no planned updates or future releases for SAM 1.X

This may change in the future if we decide to revive the SAM offering with a rebase off the current Satellite 6.X technology stack but there is nothing planned at this time.

Note You need to log in before you can comment on or make changes to this bug.